# react-tight-form

Inspired by [Grafana 2.x]((https://github.com/grafana/grafana/tree/v2.6.0)) tight-form component, `react-tight-form` is a library that allows you to easily create compact, "tight" forms.

## Installation

The easiest way to use `react-tight-form` is to install it from NPM and include it in your React build process (using [Webpack](https://webpack.github.io/), etc).

```bash
npm install react-tight-form --save
```

You can also use the standalone build by including `dist/react-tight-form.js` and `dist/react-tight-form.css` in your page. If you do this, make sure you already included the following dependencies:

* [React](http://facebook.github.io/react/)
* [classNames](http://jedwatson.github.io/classnames/)

and don't forget to include the image sprite (`img/TightForm-sprites.png`)!

## Usage

Take a look at the the examples in the Examples section; they should give a good impression of what `ReactTightForm` can do, and the source code of the examples is probably the fastest way to learn how to use `ReactTightForm`.

## CSS stylesheet

I've built a default stylesheet, `dist/react-tight-form.css`, that you may include in your site/project. 

You can customize the styles by modifying the stylesheet itself or by using [less](http://lesscss.org/) and modifying the less files in the `/less` directory.

## Examples

* [Showcase][1]

[1]: http://dennisduong.github.io/react-tight-form/examples/
